Public Class BooleanWithMessage
    Property Result As Boolean
    Property Message As String

    Public Sub New(result As Boolean, message As String)
        Me.Result = Result
        Me.Message = message
    End Sub
End Class
